
// NSeries_MEMAccessDlg.h: 헤더 파일
//

#pragma once

#include "SPdbEthm.h"

class TabMEMAccess;
class TabBurstMode;

// CNSeriesMEMAccessDlg 대화 상자
class CNSeriesMEMAccessDlg : public CDialogEx
{
// 생성입니다.
public:
	CNSeriesMEMAccessDlg(CWnd* pParent = nullptr);	// 표준 생성자입니다.

	_DevceList* m_stDevList;
	_DevInformation* m_stDeviceInfo;
	bool* m_bConnect;
	short sTotChnl;
	int iSelectedListIndex;

	TabMEMAccess* pDlgTabMemAccess;
	TabBurstMode* pDlgTabBurstMode;

 	void DeactivateCtrl();
	void ActivateCtrl();
	void TabControlInit();
// 대화 상자 데이터입니다.
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_NSERIES_MEMACCESS_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.


// 구현입니다.
protected:
	HICON m_hIcon;

	// 생성된 메시지 맵 함수
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CTabCtrl m_cTab;
	CComboBox m_cbDevList;
	int m_iTimeAvg;
	int m_iGain;
	int m_iOffset;
	afx_msg void OnBnClickedBtnScan();
	afx_msg void OnBnClickedBtnDevset();
	afx_msg void OnBnClickedBtnConnect();
	CEdit m_editAvgTime;
	CEdit m_editGain;
	CEdit m_editIntTime;
	CEdit m_editOffset;
	CButton m_btnGainOffsetGet;
	CButton m_btnDevSet;
	CButton m_btnGainOffsetSet;
	afx_msg void OnBnClickedBtnGainoffsetset();
	afx_msg void OnBnClickedBtnGainoffsetget();
	virtual BOOL DestroyWindow();
	afx_msg void OnDestroy();
	afx_msg void OnCbnSelchangeComboDevlist();
	afx_msg void OnTcnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	double m_dIntTime;
};
